cern.jet.random

## Class Logarithmic

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.jet.random.AbstractDistribution
    - - cern.jet.random.AbstractContinousDistribution
      - - cern.jet.random.Logarithmic

- All Implemented Interfaces:
    DoubleFunction, IntFunction, java.io.Serializable, java.lang.Cloneable

      public class Logarithmic
      extends AbstractContinousDistribution

  Logarithmic distribution.

  Valid parameter ranges: `0 < p < 1`.

  Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

  Static methods operate on a default uniform random number generator; they are synchronized.

  Implementation:

  Method: Inversion/Transformation.
  This is a port of `lsk.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

  A.W. Kemp (1981): Efficient generation of logarithmically distributed pseudo-random variables, Appl. Statist. 30, 249-253.

  Version:
    1.0, 09/24/99
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cern.colt.PersistentObject

      `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logarithmic(double p, RandomEngine randomGenerator)` Constructs a Logarithmic distribution.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `nextDouble()` Returns a random number from the distribution.
    `double` | `nextDouble(double a)` Returns a random number from the distribution; bypasses the internal state.
    `void` | `setState(double p)` Sets the distribution parameter.
    `static double` | `staticNextDouble(double p)` Returns a random number from the distribution.
    `java.lang.String` | `toString()` Returns a String representation of the receiver.

    - ### Methods inherited from class cern.jet.random.AbstractDistribution

      `apply, apply, clone, makeDefaultGenerator, nextInt`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Logarithmic

          public Logarithmic(double p,
                     RandomEngine randomGenerator)

      Constructs a Logarithmic distribution.

  - ### Method Detail

    - #### nextDouble

          public double nextDouble()

      Returns a random number from the distribution.
      Specified by:
        `nextDouble` in class `AbstractDistribution`

    - #### nextDouble

          public double nextDouble(double a)

      Returns a random number from the distribution; bypasses the internal state.

    - #### setState

          public void setState(double p)

      Sets the distribution parameter.

    - #### staticNextDouble

          public static double staticNextDouble(double p)

      Returns a random number from the distribution.

    - #### toString

          public java.lang.String toString()

      Returns a String representation of the receiver.
      Overrides:
        `toString` in class `java.lang.Object`

Jump to the Colt Homepage